import { Grammar } from "../grammar.js";
import { tmrTokenZIndex } from "../tmr-constants.js";
import { COORD_TMR_INCONNU } from "../tmr-utility.js";
import { Draconique } from "./draconique.js";

export class TerreAttache extends Draconique {

  type() { return 'tete' }
  match(item) { return Draconique.isTeteDragon(item) && Grammar.toLowerCaseNoAccent(item.name).includes("terre d'attache"); }
  manualMessage() { return "Vous pouvez re-configurer votre Nouvelle Terre d'attache" }

  async onActorCreateOwned(actor, tete) {
    await this.createCaseTmr(actor, "Nouvelle Terre d'attache", { coord: COORD_TMR_INCONNU }, tete.id);
  }

  code() { return 'attache' }
  tooltip(linkData) { return `Terre d'attache` }
  img() { return 'systems/foundryvtt-reve-de-dragon/icons/tmr/attache.svg' }

  createSprite(pixiTMR) {
    return pixiTMR.sprite(this.code(), {
      zIndex: tmrTokenZIndex.tetes,
      decallage: pixiTMR.sizes.decallage(0.8, 0.8),
      taille: () => pixiTMR.sizes.half
    });
  }

}
